- entityDefinitions:
  - IDI_Task_ViewGetAttributeBySystemRoutineMethod: '{0157179b-32b4-4938-b5c7-3d55326029a2}'
  - IDI_Task_EditGetAttributeBySystemRoutineMethod: '{2338b9cc-da97-4388-b037-5d562dae48e8}'
  - IDE_GetAttributeBySystemRoutineMethod_View: '{98f4795d-0376-4462-89e2-f4da4bd1b7e9}'
  - IDE_GetAttributeBySystemRoutineMethod_Edit: '{9fc86c70-7d17-4126-91b6-a0b74fdb2a52}'
  - IDE_GetAttributeBySystemRoutineMethod_Definition: '{d359afcb-cb2c-4635-8aa9-d5353e7f9507}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewGetAttributeBySystemRoutineMethod;'
    name: 'View GAS - Get Attribute by System Routine Method'
    initiatingElement: '&IDE_GetAttributeBySystemRoutineMethod_View;'
    taskCategory: '&IDI_TaskCategory_GetAttributeBySystemRoutineMethod;'

  - sequenceTask: '&IDI_Task_EditGetAttributeBySystemRoutineMethod;'
    name: 'Edit GAS - Get Attribute by System Routine Method'
    initiatingElement: '&IDE_GetAttributeBySystemRoutineMethod_Edit;'
    taskCategory: '&IDI_TaskCategory_GetAttributeBySystemRoutineMethod;'

  - element: '&IDE_GetAttributeBySystemRoutineMethod_View;'
    name: 'view gas'
    elementContents:
    - globalIdentifier: '{58745585-cd68-4792-89b4-1c411a89c594}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{f4dcca04-3e99-47e2-8e61-ee937f4b11d9}'
      defaultDataType: '&IDE_GetAttributeBySystemRoutineMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_GetAttributeBySystemRoutineMethod_Definition;'
    name: 'gas subedit'
    label: 'Return'
    elementContents:
    - globalIdentifier: '{4ab7e59f-ce09-424f-b5cc-9a38b1f1bdb2}'
      defaultDataType: '&IDR_Get_Attribute_by_System_Routine_Method__returns__Attribute;'
      label: 'Returns Attribute'
      order: a
    - globalIdentifier: '{7b43c0fc-f17b-4211-ad00-7af6b6c8041f}'
      defaultDataType: '&IDR_Get_Attribute_by_System_Routine_Method__uses__System_Attribute_Routine;'
      label: 'Uses System Attribute Routine'
      order: b

  - element: '&IDE_GetAttributeBySystemRoutineMethod_Edit;'
    name: 'edit gas'
    elementContents:
    - globalIdentifier: '{7dad30c3-9233-4240-8bcc-d70065032a61}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{338aa19d-abf9-46aa-88cf-00ed141190bd}'
      defaultDataType: '&IDE_GetAttributeBySystemRoutineMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
